# Parameters
DOCKER_ROUTER_PATH = ../docker-router
DOCKER_APP_CONTAINER = web_aa-library

# Executables
#EXEC_PHP = php
DOCKER = docker
DOCKER_COMPOSE = $(DOCKER) compose

help: # Show help
	@grep -E '^[a-zA-Z0-9 -]+:.*#'  makefile | sort | while read -r l; do printf "\033[1;32m$$(echo $$l | cut -f 1 -d':')\033[00m:$$(echo $$l | cut -f 2- -d'#')\n"; done

assetbuild:
	@yarn run build

incrfix:
	@npm version patch

buildckeditor:
	@cd assets/back/vendor/ckeditor && yarn && yarn run build

tags_show_last:
	@/bin/bash scripts/git/last_tags.sh

# TODO: derivate script to integrate with devtools (make action usable from any bundle)
link:
	@/bin/bash scripts/source_link/source_link.sh

run_tests:
	@./vendor/bin/phpunit

changelog:
	@/bin/bash scripts/changelog/auto_changelog.sh
